JackTrip: JamLinkHeader Class Reference

JackTrip

Public Member Functions | List of all members
JamLinkHeader Class Reference

JamLink Header. More...

`#include <PacketHeader.h>`

Inheritance diagram for JamLinkHeader:
[legend]
Collaboration diagram for JamLinkHeader:
[legend]

## Public Member Functions
| JamLinkHeader (JackTrip *jacktrip)
virtual | ~JamLinkHeader ()
virtual void | fillHeaderCommonFromAudio ()
virtual void | parseHeader ()
| Parse the packet header and take appropriate measures (like change settings, or quit the program if peer settings don't match) More...
virtual void | checkPeerSettings (int8_t *)
virtual uint64_t | getPeerTimeStamp (int8_t *) const
virtual uint16_t | getPeerSequenceNumber (int8_t *) const
virtual uint16_t | getPeerBufferSize (int8_t *) const
virtual uint8_t | getPeerSamplingRate (int8_t *) const
virtual uint8_t | getPeerBitResolution (int8_t *) const
virtual uint8_t | getPeerNumChannels (int8_t *) const
virtual uint8_t | getPeerConnectionMode (int8_t *) const
virtual void | increaseSequenceNumber ()
| Increase sequence number for counter, a 16bit number. More...
virtual int | getHeaderSizeInBytes () const
| Get the header size in bytes. More...
virtual void | putHeaderInPacket (int8_t *full_packet)
| Put the header in buffer pointed by full_packet. More...
Public Member Functions inherited from PacketHeader
| PacketHeader (JackTrip *jacktrip)
| The class Constructor. More...
virtual | ~PacketHeader ()
| The class Destructor. More...
virtual uint16_t | getSequenceNumber () const
| Returns the current sequence number. More...
virtual void | putHeaderInPacketBaseClass (int8_t *full_packet, const HeaderStruct &header_struct)

## Additional Inherited Members
Signals inherited from PacketHeader
void | signalError (const char *error_message)
Static Public Member Functions inherited from PacketHeader
static uint64_t | usecTime ()
| Return a time stamp in microseconds. More...

## Detailed Description

JamLink Header.

## Constructor & Destructor Documentation

## ◆ JamLinkHeader()

JamLinkHeader::JamLinkHeader | ( | JackTrip * | jacktrip | ) |

## ◆ ~JamLinkHeader()

virtual JamLinkHeader::~JamLinkHeader | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ checkPeerSettings()

virtual void JamLinkHeader::checkPeerSettings | ( | int8_t * |  | ) |
| inlinevirtual

Implements PacketHeader.

## ◆ fillHeaderCommonFromAudio()

void JamLinkHeader::fillHeaderCommonFromAudio | ( |  | ) |
| virtual

Todo:
  Implement this using a JackTrip Method (Mediator) member instead of the reference to JackAudio

Implements PacketHeader.

## ◆ getHeaderSizeInBytes()

virtual int JamLinkHeader::getHeaderSizeInBytes | ( |  | ) | const
| inlinevirtual

Get the header size in bytes.

Implements PacketHeader.

## ◆ getPeerBitResolution()

virtual uint8_t JamLinkHeader::getPeerBitResolution | ( | int8_t * |  | ) | const
| inlinevirtual

Implements PacketHeader.

## ◆ getPeerBufferSize()

virtual uint16_t JamLinkHeader::getPeerBufferSize | ( | int8_t * |  | ) | const
| inlinevirtual

Implements PacketHeader.

## ◆ getPeerConnectionMode()

virtual uint8_t JamLinkHeader::getPeerConnectionMode | ( | int8_t * |  | ) | const
| inlinevirtual

Implements PacketHeader.

## ◆ getPeerNumChannels()

virtual uint8_t JamLinkHeader::getPeerNumChannels | ( | int8_t * |  | ) | const
| inlinevirtual

Implements PacketHeader.

## ◆ getPeerSamplingRate()

virtual uint8_t JamLinkHeader::getPeerSamplingRate | ( | int8_t * |  | ) | const
| inlinevirtual

Implements PacketHeader.

## ◆ getPeerSequenceNumber()

virtual uint16_t JamLinkHeader::getPeerSequenceNumber | ( | int8_t * |  | ) | const
| inlinevirtual

Implements PacketHeader.

## ◆ getPeerTimeStamp()

virtual uint64_t JamLinkHeader::getPeerTimeStamp | ( | int8_t * |  | ) | const
| inlinevirtual

Implements PacketHeader.

## ◆ increaseSequenceNumber()

virtual void JamLinkHeader::increaseSequenceNumber | ( |  | ) |
| inlinevirtual

Increase sequence number for counter, a 16bit number.

Reimplemented from PacketHeader.

## ◆ parseHeader()

virtual void JamLinkHeader::parseHeader | ( |  | ) |
| inlinevirtual

Parse the packet header and take appropriate measures (like change settings, or quit the program if peer settings don't match)

Implements PacketHeader.

## ◆ putHeaderInPacket()

virtual void JamLinkHeader::putHeaderInPacket | ( | int8_t * | full_packet | ) |
| inlinevirtual

Put the header in buffer pointed by full_packet.

Parameters

  full_packet | Pointer to full packet (audio+header). Size must be sizeof(header part) + sizeof(audio part)

Implements PacketHeader.

The documentation for this class was generated from the following files:

- src/PacketHeader.h
- src/PacketHeader.cpp